API Keys
API keys offer an alternate method of authentication to the Matatika API using a client ID and secret. Access using API key credentials is supported by the Matatika CLI and SDK, which allows a user to remain authenticated permanently.
Objects
API Key
| Path | JSON Type | Format | Description |
|---|---|---|---|
id |
string |
Version 4 UUID | The API key ID |
created |
string |
ISO 8601 timestamp | The instant when the API key was created |
lastModified |
string |
ISO 8601 timestamp | The instant when the API key was last modified |
name |
string |
The API key name | |
clientId |
string |
The API key client ID | |
profileId |
string |
The API key owner profile ID |
{
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.900792",
"lastModified" : "2026-02-26T16:25:10.900793",
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)",
"clientId" : "G4mKgXrRzGQJKczFL1Pt7sxsrpTv7RQ6",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
}
Requests
- View all API keys
- View an API key
- Initialise an API key
- Create an API key
- Update an API key
- Delete an API key
View all API keys
GET
/api/apikeys
Returns all API keys owned by the authenticated user profile.
Prerequisites
- The authenticated user must own a Matatika account
- The API key
{apikey-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key collection with HAL links.
{
"_embedded" : {
"apikeys" : [ {
"id" : "9f8139bd-9559-4a46-b0e6-416962320798",
"created" : "2026-02-26T16:25:09.684814",
"lastModified" : "2026-02-26T16:25:09.684815",
"name" : "default",
"clientId" : "n8qwvFDhBH5PweyFdRnQSv9t9mHJ1xwi",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"accessToken" : "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IlJFRkNRamczTlRRMk16QTROalpHT0RjNFFUWkJOemMyTkRGR1FUSkVOVEEyUkRkR1JrSkRPQSJ9.eyJpc3MiOiJodHRwczovL2lkZW50aXR5Lm1hdGF0aWthLmNvbS8iLCJzdWIiOiJuOHF3dkZEaEJINVB3ZXlGZFJuUVN2OXQ5bUhKMXh3aUBjbGllbnRzIiwiYXVkIjoiaHR0cHM6Ly9hcHAubWF0YXRpa2EuY29tL2FwaSIsImlhdCI6MTc3MjEyMzExMCwiZXhwIjoxNzcyMjA5NTEwLCJndHkiOiJjbGllbnQtY3JlZGVudGlhbHMiLCJhenAiOiJuOHF3dkZEaEJINVB3ZXlGZFJuUVN2OXQ5bUhKMXh3aSJ9.E6hsfzHCFkwgsnTwku0r9thXmXDxhAj_gOk25UW-Kxjyk8TTppzTvdzWqgBHp0wiCW7ld6OtkhiEVQBBwGwk77Gu6DNggsUU4OlrnWZWxvgMxMC8u1ZdjbOZW2aKHoJBo8koAAei0CDY73K04AX7mZGn0mEyRlPfp9kUmAAKlPdMQmeN29dKvw3FsY3qvHyfAUiS7A5mX-xywnZnS2c86RexWcPwmyJatYFRQTW1B4kOTybkomDIWYEAWZzwx3aw72qAP1BgaFSsG_C8gqTCI_M-Dz3NjRPs8mKbxT_jjujp-wcsFG8Vza-HbQPxKSA9duXQX47yEGPl4P41MiDxcg",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/9f8139bd-9559-4a46-b0e6-416962320798"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/9f8139bd-9559-4a46-b0e6-416962320798"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/9f8139bd-9559-4a46-b0e6-416962320798"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
}, {
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.900792",
"lastModified" : "2026-02-26T16:25:10.900793",
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)",
"clientId" : "G4mKgXrRzGQJKczFL1Pt7sxsrpTv7RQ6",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}
View an API key
GET
/api/apikeys/{apikey-id}
Returns the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Matatika account
- The API key
{apikey-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.900792",
"lastModified" : "2026-02-26T16:25:10.900793",
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)",
"clientId" : "G4mKgXrRzGQJKczFL1Pt7sxsrpTv7RQ6",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
}
Initialise an API key
POST
/api/apikeys
Initialises a new API key.
Prerequisites
- The authenticated user must own a Matatika account
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.750042661",
"lastModified" : "2026-02-26T16:25:10.750043461",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"create apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
}
}
}
Create an API key
PUT
/api/apikeys/{apikey-id}
Creates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Matatika account
Request
Body
API key resource.
{
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)"
}
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)"
}'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
data = {
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
API key with HAL links.
{
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.900791933",
"lastModified" : "2026-02-26T16:25:10.900793333",
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622)",
"clientId" : "G4mKgXrRzGQJKczFL1Pt7sxsrpTv7RQ6",
"clientSecret" : "1oFgxcreMScUkbZu-xL4gCB4r0OaX0z5JQW2QUipFpkbi1rhJzBtoB5ljfeV_7H8",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
}
Update an API key
PUT
/api/apikeys/{apikey-id}
Updates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Matatika account
Request
Body
API key resource.
{
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622) (updated)"
}
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622) (updated)"
}'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
data = {
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622) (updated)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "2516cdd8-734e-48e6-9658-3835bc607839",
"created" : "2026-02-26T16:25:10.900792",
"lastModified" : "2026-02-26T16:25:12.212434801",
"name" : "SIT-generated api key (2026-02-26T16:25:10.837915622) (updated)",
"clientId" : "G4mKgXrRzGQJKczFL1Pt7sxsrpTv7RQ6",
"profileId" : "auth0|5eb0327cbfd7490bff55feeb",
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"update apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"delete apikey" : {
"href" : "https://app.matatika.com/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
},
"profile" : {
"href" : "https://app.matatika.com/api/profiles/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
}
Delete an API key
DELETE
/api/apikeys/{apikey-id}
Deletes the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Matatika account
- The API key
{apikey-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/apikeys/2516cdd8-734e-48e6-9658-3835bc607839"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.